PROBE::SOCKET.READ(3stap)

NAME
probe::socket.readv.return - Conclusion of receiving a message via sock_readv

SYNOPSIS

socket.readv.return

VALUES

protocol
    Protocol value

name
    Name of this probe

success
    Was receive successful? (1 = yes, 0 = no)

flags
    Socket flags value

size
    Size of message received (in bytes) or error code if success = 0

type
    Socket type value

family
    Protocol family value

state
    Socket state value

CONTEXT

The message receiver.

DESCRIPTION

Fires at the conclusion of receiving a message on a socket via the sock_readv function

SEE ALSO
tapset::socket(3stap)